<?php
/*
Автор кода: -=MTV=-,Shot_,Allion,MarK
Официальны сайт поддержки: http://strongcms.ru 
*/

//-Подключаем вверх для инсталла-//
require_once ('header.php');

echo '<div class="title">Мастер установки StrongCMS</div>';

switch($_GET['act'])
{
default:

//-Ищем файл config.php-//
if(is_file('../system/config.php')) {

if(isset($_REQUEST['next'])) {
unlink('../system/config.php');
header('Location: index.php');
exit();
}

echo '<div class="podmenu">Вас приветствует "Мастер установки StrongCMS!".</div>
<div class="podmenu">Обнаружен файл config.php!
Что это значит?<br />
<b>1</b>.Вы уже установили StrongCMS.<br />
<b>2</b>.Вы случайно создали файл config.php  в папке system.</div>
<div class="podmenu">Вы хотите переустановить двиг?<br />
<center><form action="" method="POST"><input type="submit" name="next" value="Продолжить" /></form></center>
</div>';

require_once ('footer.php');
exit();
}

echo '<div class="podmenu">Вас приветствует "Мастер установки StrongCMS!".</div>
<div class="podmenu"><b>Наши условия использования StrongCMS!</b>
<br /><b>1.</b> Запрещенно продавать и распостранять код,небольшие куски кода!
<br /><b>2.</b> Вы обязаны сохранить все упоминания об авторе StrongCMS!
<br /><b>3.</b> Обьязаны оставлять копирайт с ссылкой на официальный сайт <a href="http://strongcms.ru">http://strongcms.ru</a>
<br /><b>4.</b> Все вопросы по поводу StrongCMS Вы можете задать на официальном сайте <a href="http://strongcms.ru">http://strongcms.ru</a>
<br /><b>5.</b> Авторами движка являются: <b>-=MTV=-</b>,<b>Shot_</b>,<b>Allion</b>,<b>MarK</b></div>
<div class="podmenu"><form action="?act=s1" method="POST"><center><input type="submit" value="Я согласен" /></center></form></div>';
require_once ('footer.php');

break;
case 's1':

//-Ищем файл config.php-//
if(is_file('../system/config.php')) {

if(isset($_REQUEST['next'])) {
unlink('../system/config.php');
header('Location: index.php');
exit();
}

echo '<div class="podmenu">Вас приветствует "Мастер установки StrongCMS!".</div>
<div class="podmenu">Обнаруженно файл config.php!
Что это значит?<br />
<b>1</b>.Вы уже установили StrongCMS.<br />
<b>2</b>.Вы случайно создали файл config.php  в папке system.</div>
<div class="podmenu">Вы хотите переустановить двиг?<br /><center><form action="" method="POST"><input type="submit" name="next" value="Продолжить" /></form></center></div>';
require_once ('footer.php');
exit();
}

if(isset($_REQUEST['ok'])) {

###############################
######## Фильтрация ###########
###############################
function strong($msg){
$msg = trim($msg);
$msg = htmlspecialchars($msg);
$msg = mysql_escape_string($msg);
return $msg;
}

$dbhost = strong($_POST['dbhost']);
$dbpass = strong($_POST['dbpass']);
$dbname = strong($_POST['dbname']);
$dbuser = strong($_POST['dbuser']);

$sql1 = @mysql_connect($dbhost, $dbuser, $dbpass);
$sql = @mysql_select_db($dbname);

if (!$sql) {
$sql = FALSE; 
echo '<div class="podmenu"><center><b>Такой базы данных не существует!</b></center></div>';
require_once ('footer.php');
exit();
}

if($sql == TRUE and $sql1 == TRUE) {
$contents = "
<?php
/*
-----------------------------------------
Автор: -=КотЭ=- и Shot_
Бесплатный WAP движок: StrongCms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: config.php
-------------------------------------------
*/

//-----Прописуем БД-----//
define ('dbhost', '$dbhost'); //сервер
define ('dbname', '$dbname'); //имя БД
define ('dbpass', '$dbpass'); //пароль БД
define ('dbuser', '$dbuser'); //Пользователь БД
?>
";

file_put_contents('../system/config.php', $contents);
chmod('../system/config.php', 0664); 
mysql_query('SET NAMES `utf8`', $sql1);
$dbdampbaze = file_get_contents('mysql.sql'); 
$expl = explode('-----------------------------------', $dbdampbaze);
foreach($expl as $propot) {
mysql_query(trim($propot));
} 

//-Указуем права доступа-//
chmod('/files/smile', 0777);
chmod('/system', 0777);
chmod('/images', 0777);
}

echo '<div class="podmenu"><center>Установка прошла успешно!</center></div>
<div class="podmenu">Вам осталось зарегистрировать администратора.
<br />
И не забудте удалить папку /install
<br />
<a href="/registr.php"><input type="submit" value="Регистрация" /></a></div>';

require_once ('footer.php');
exit();
}

echo '<div class="podmenu">Вас приветствует "Мастер установки StrongCMS!".</div>
<div class="podmenu">
<form action="" method="POST">
Сервер:<br /><input type="text" name="dbhost" value="localhost" /><br />
Имя пользователя:<br /><input type="text" name="dbuser" /><br />
Пароль:<br /><input type="text" name="dbpass" /><br />
База Данных:<br /><input type="text" name="dbname" /><br />
<input type="submit" name="ok" value="Продолжить" />
</form></div>';

require_once ('footer.php');
break;
}
?>